Bug 1882319 - Crash while sending information to the retrace server
Summary: Crash while sending information to the retrace server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Grabovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException AcceptedBlocker
: 1882692 (view as bug list)
Depends On:
Blocks: F33BetaFreezeException F33FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2020-09-24 10:32 UTC by Kamil Páral
Modified: 2020-10-23 21:22 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-02 17:14:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
full journal (295.77 KB, text/plain)
2020-09-24 10:33 UTC, Kamil Páral
no flags Details
coredump (1.52 MB, application/x-xz)
2020-09-24 12:54 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2020-09-24 10:32:21 UTC
Description of problem:
With abrt-2.14.4-6.fc33 from https://bodhi.fedoraproject.org/updates/FEDORA-2020-7cad807210 , when I try to report a crash and send it to the retrace server, it says "preparing environment for backtrace generation" and then the whole libreport window disappears. In journal, I see:

Sep 24 12:21:36 f33 abrt-applet[3947]: free(): double free detected in tcache 2
Sep 24 12:21:36 f33 audit[3948]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=3948 comm="report-gtk" exe="/usr/bin/report-gtk" sig=6 res=1
Sep 24 12:21:36 f33 systemd[1]: Started Process Core Dump (PID 3964/UID 0).
Sep 24 12:21:36 f33 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@2-3964-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 24 12:21:36 f33 systemd-coredump[3965]: [🡕] Process 3948 (report-gtk) of user 1000 dumped core.
                                            
                                            Stack trace of thread 3948:
                                            #0  0x00007f4d67d95bc5 raise (libc.so.6 + 0x3dbc5)
                                            #1  0x00007f4d67d7e8a4 abort (libc.so.6 + 0x268a4)
                                            #2  0x00007f4d67dd8127 __libc_message (libc.so.6 + 0x80127)
                                            #3  0x00007f4d67ddfe1c malloc_printerr (libc.so.6 + 0x87e1c)
                                            #4  0x00007f4d67de18ec _int_free (libc.so.6 + 0x898ec)
                                            #5  0x00007f4d67f95b99 g_free (libglib-2.0.so.0 + 0x56b99)
                                            #6  0x00007f4d68bab740 consume_event_command_output (libreport.so.1 + 0x1b740)
                                            #7  0x00005596c94e1703 consume_cmd_output (report-gtk + 0xe703)
                                            #8  0x00007f4d67f90fd7 g_main_context_dispatch (libglib-2.0.so.0 + 0x51fd7)
                                            #9  0x00007f4d67fe1ab8 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa2ab8)
                                            #10 0x00007f4d67f8e3ff g_main_context_iteration (libglib-2.0.so.0 + 0x4f3ff)
                                            #11 0x00007f4d6819e3e5 g_application_run (libgio-2.0.so.0 + 0xd53e5)
                                            #12 0x00005596c94dbc3a main (report-gtk + 0x8c3a)
                                            #13 0x00007f4d67d801a2 __libc_start_main (libc.so.6 + 0x281a2)
                                            #14 0x00005596c94dbd7e _start (report-gtk + 0x8d7e)
                                            
                                            Stack trace of thread 3951:
                                            #0  0x00007f4d67e4ea0f __poll (libc.so.6 + 0xf6a0f)
                                            #1  0x00007f4d67fe1a4e g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa2a4e)
                                            #2  0x00007f4d67f906ab g_main_loop_run (libglib-2.0.so.0 + 0x516ab)
                                            #3  0x00007f4d681d16b6 gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x1086b6)
                                            #4  0x00007f4d67fbdf0e g_thread_proxy (libglib-2.0.so.0 + 0x7ef0e)
                                            #5  0x00007f4d672e43f9 start_thread (libpthread.so.0 + 0x93f9)
                                            #6  0x00007f4d67e59b03 __clone (libc.so.6 + 0x101b03)
                                            
                                            Stack trace of thread 3949:
                                            #0  0x00007f4d67e4ea0f __poll (libc.so.6 + 0xf6a0f)
                                            #1  0x00007f4d67fe1a4e g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa2a4e)
                                            #2  0x00007f4d67f8e3ff g_main_context_iteration (libglib-2.0.so.0 + 0x4f3ff)
                                            #3  0x00007f4d67f90031 glib_worker_main (libglib-2.0.so.0 + 0x51031)
                                            #4  0x00007f4d67fbdf0e g_thread_proxy (libglib-2.0.so.0 + 0x7ef0e)
                                            #5  0x00007f4d672e43f9 start_thread (libpthread.so.0 + 0x93f9)
                                            #6  0x00007f4d67e59b03 __clone (libc.so.6 + 0x101b03)
                                            
                                            Stack trace of thread 3952:
                                            #0  0x00007f4d67e4ea0f __poll (libc.so.6 + 0xf6a0f)
                                            #1  0x00007f4d67fe1a4e g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa2a4e)
                                            #2  0x00007f4d67f8e3ff g_main_context_iteration (libglib-2.0.so.0 + 0x4f3ff)
                                            #3  0x00007f4d68bd764d dconf_gdbus_worker_thread (libdconfsettings.so + 0x664d)
                                            #4  0x00007f4d67fbdf0e g_thread_proxy (libglib-2.0.so.0 + 0x7ef0e)
                                            #5  0x00007f4d672e43f9 start_thread (libpthread.so.0 + 0x93f9)
                                            #6  0x00007f4d67e59b03 __clone (libc.so.6 + 0x101b03)
Sep 24 12:21:36 f33 systemd[1]: systemd-coredump: Succeeded.
Sep 24 12:21:36 f33 audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@2-3964-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 24 12:21:37 f33 abrt-server[3972]: Package 'libreport-gtk' isn't signed with proper key
Sep 24 12:21:37 f33 abrt-server[3972]: 'post-create' on '/var/spool/abrt/ccpp-2020-09-24-12:21:37.154747-3948' exited with 1
Sep 24 12:21:37 f33 abrt-server[3972]: Deleting problem directory '/var/spool/abrt/ccpp-2020-09-24-12:21:37.154747-3948'
Sep 24 12:21:37 f33 abrt-applet[3895]: Fetching title for problem report failed: HTTP Error 404: NOT FOUND

For some reason, the libreport crash doesn't show up in abrt itself.


Version-Release number of selected component (if applicable):
abrt-2.14.4-6.fc33.x86_64
abrt-addon-ccpp-2.14.4-6.fc33.x86_64
abrt-addon-kerneloops-2.14.4-6.fc33.x86_64
abrt-addon-pstoreoops-2.14.4-6.fc33.x86_64
abrt-addon-vmcore-2.14.4-6.fc33.x86_64
abrt-addon-xorg-2.14.4-6.fc33.x86_64
abrt-cli-2.14.4-6.fc33.x86_64
abrt-dbus-2.14.4-6.fc33.x86_64
abrt-desktop-2.14.4-6.fc33.x86_64
abrt-gui-2.14.4-6.fc33.x86_64
abrt-gui-libs-2.14.4-6.fc33.x86_64
abrt-java-connector-1.2.0-5.fc33.x86_64
abrt-libs-2.14.4-6.fc33.x86_64
abrt-plugin-bodhi-2.14.4-6.fc33.x86_64
abrt-retrace-client-2.14.4-6.fc33.x86_64
abrt-tui-2.14.4-6.fc33.x86_64
gnome-abrt-1.3.6-5.fc33.x86_64
libreport-2.14.0-8.fc33.x86_64
libreport-anaconda-2.14.0-8.fc33.x86_64
libreport-cli-2.14.0-8.fc33.x86_64
libreport-fedora-2.14.0-8.fc33.x86_64
libreport-filesystem-2.14.0-8.fc33.noarch
libreport-gtk-2.14.0-8.fc33.x86_64
libreport-plugin-bugzilla-2.14.0-8.fc33.x86_64
libreport-plugin-kerneloops-2.14.0-8.fc33.x86_64
libreport-plugin-logger-2.14.0-8.fc33.x86_64
libreport-plugin-reportuploader-2.14.0-8.fc33.x86_64
libreport-plugin-systemd-journal-2.14.0-8.fc33.x86_64
libreport-plugin-ureport-2.14.0-8.fc33.x86_64
libreport-web-2.14.0-8.fc33.x86_64
python3-abrt-2.14.4-6.fc33.x86_64
python3-abrt-addon-2.14.4-6.fc33.noarch
python3-libreport-2.14.0-8.fc33.x86_64


How reproducible:
tried twice, happened twice

Steps to Reproduce:
1. will_abort
2. click Report in ABRT
3. confirm sending to retrace server
4. see the window disappear after ~10 seconds

Additional info:
I'm not sure whether this is a libreport crash or an abrt crash, because the crash itself references report-gtk, but the journal also says "abrt-applet[3947]: free(): double free detected in tcache 2".

Comment 1 Kamil Páral 2020-09-24 10:33:16 UTC
Created attachment 1716297 [details]
full journal

Comment 2 Kamil Páral 2020-09-24 10:44:24 UTC
Proposing as a Beta blocker, this is another episode in the "What the hell happened to ABRT in F33?" documentary. However, note that bug 1881745 seems to be fixed now, so local generation can be used, if you reject remote retracing first. For that reason, this might be deemed to be a Final blocker instead, so proposing as a Final blocker and Beta FE as well.

Comment 3 Matej Grabovsky 2020-09-24 12:15:12 UTC
Do you think you could upload the coredump as well?

Comment 4 Kamil Páral 2020-09-24 12:54:41 UTC
Created attachment 1716334 [details]
coredump

Here's the coredump. If this is not helpful, I can try to gather useful information from it using gdb. I'm just juggling a bit too many things at once right now :-) Let me know, thanks.

Comment 5 Kamil Páral 2020-09-24 12:56:08 UTC
Btw, this should be trivially reproducible from a VM with F33 Workstation Beta 1.3 installed and the latest abrt bodhi update applied:
https://dl.fedoraproject.org/pub/alt/stage/33_Beta-1.3/

Comment 6 Kamil Páral 2020-09-24 16:25:31 UTC
Rejected as a Beta blocker, accepted as a Final blocker, accepted as a Beta freeze exception:
https://pagure.io/fedora-qa/blocker-review/issue/123

Comment 7 Matej Grabovsky 2020-09-25 12:05:05 UTC
*** Bug 1882692 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2020-09-25 17:57:49 UTC
FEDORA-2020-6fc633096b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6fc633096b

Comment 9 Fedora Update System 2020-09-26 01:28:29 UTC
FEDORA-2020-6fc633096b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6fc633096b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6fc633096b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Kamil Páral 2020-10-01 08:57:05 UTC
With
abrt-2.14.4-6.fc33.x86_64
libreport-2.14.0-11.fc33.x86_64
this problem seems to be resolved. The libreport window crash no longer happens. That doesn't mean that the retrace server works, it simply returns "Retrace job failed". But at least libreport is no longer crashing.

I think we can close this once libreport-2.14.0-11.fc33.x86_64 hits stable repos.

Comment 11 Michael Catanzaro 2020-10-01 11:54:29 UTC
(In reply to Kamil Páral from comment #10)
> That doesn't mean that the retrace server works, it simply returns
> "Retrace job failed". But at least libreport is no longer crashing.

Can you report another bug for this? That should be a final blocker IMO (basic functionality failure). If we cannot fix the retrace server ASAP, then ABRT needs to stop attempting to upload core dumps to the retrace server so we stop failing by default.

Comment 12 Miroslav Suchý 2020-10-02 07:38:01 UTC
FYI @mgrabovsk is investigating while the retracing always fails. He should have some news soon.

Comment 13 Ben Cotton 2020-10-02 17:12:08 UTC
FEDORA-2020-6fc633096b was unpushed, so I'm setting this back to ASSIGNED

Comment 14 Ben Cotton 2020-10-02 17:14:52 UTC
Actually, it looks like FEDORA-2020-6fc633096b isn't the update that includes the fix. FEDORA-2020-e3af715292 does and it has gone stable so I'm closing it per Kamil's comment #10.

Comment 15 Kamil Páral 2020-10-05 09:48:11 UTC
(In reply to Michael Catanzaro from comment #11)
> Can you report another bug for this? That should be a final blocker IMO
> (basic functionality failure). If we cannot fix the retrace server ASAP,
> then ABRT needs to stop attempting to upload core dumps to the retrace
> server so we stop failing by default.

Reported as bug 1885154.

Comment 16 Adam Williamson 2020-10-23 21:22:30 UTC
Bug fixed, commonbugs not needed.


Note You need to log in before you can comment on or make changes to this bug.